#!/usr/bin/env bash

# This file is part of The RetroPie Project
# 
# The RetroPie Project is the legal property of its developers, whose names are
# too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source.
# 
# See the LICENSE.md file at the top-level directory of this distribution and 
# at https://raw.githubusercontent.com/RetroPie/RetroPie-Setup/master/LICENSE.md
#

rp_module_id="fruity"
rp_module_desc="Fruit'Y - Playing with edibles by Retroguru"
rp_module_help="Fruit'Y is heavily inspired by the Kaiko classic Gem'X."
rp_module_licence="Retroguru http://www.retroguru.com/legal/"
rp_module_section="opt"
rp_module_flags="!x86 !mali !kms"

function depends_fruity() {
    getDepends libsdl-mixer1.2
}

function install_bin_fruity() {
    downloadAndExtract "http://www.retroguru.com/fruity/fruity-v.latest-raspberrypi.zip" "$md_inst"
    patchVendorGraphics "$md_inst/fruity_rpi"
}

function configure_fruity() {
    moveConfigDir "$home/.config/fruity" "$md_conf_root/fruity"

    addPort "$md_id" "fruity" "Fruit'Y - Playing with edibles by Retroguru" "pushd $md_inst; $md_inst/fruity_rpi; popd"
    
    chmod +x "$md_inst/fruity_rpi"
    chmod a+w "$md_inst"
}
